> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get settlement instructions

> Returns settlement instructions for a specific currency.



## OpenAPI

````yaml openapi/cross-currency.yaml get /v1/exchange/trades/settlements/instructions/{currency}
openapi: 3.0.2
info:
  version: ${version}
  title: Cross-Currency API
  description: >
    The Circle Cross-Currency API allows you to exchange fiat for USDC and
    exchange USDC for EURC.
servers:
  - url: https://api-sandbox.circle.com
  - url: https://api.circle.com
security: []
tags:
  - name: Trades
    description: Execute currency exchange trades.
  - name: Payments
    description: Payment endpoints.
  - name: Settlements
    description: Settlement endpoints
paths:
  /v1/exchange/trades/settlements/instructions/{currency}:
    get:
      tags:
        - Settlements
      summary: Get settlement instructions
      description: Returns settlement instructions for a specific currency.
      operationId: getSettlementInstructions
      parameters:
        - $ref: '#/components/parameters/FxCurrencyPath'
      responses:
        '200':
          description: Successfully retrieved settlement instructions.
          headers:
            X-Request-Id:
              $ref: '#/components/headers/XRequestId'
          content:
            application/json:
              schema:
                title: GetSettlementInstructionsResponse
                properties:
                  data:
                    oneOf:
                      - $ref: '#/components/schemas/MXNSettlementInstructions'
                      - $ref: '#/components/schemas/BRLSettlementInstructions'
              examples:
                response:
                  value:
                    data:
                      currency: MXN
                      fiatAccountType: wire
                      instruction:
                        trackingRef: CIR13FB13A
                        beneficiary:
                          name: CIRCLE INTERNET FINANCIAL INC
                          address1: 99 HIGH STREET
                          address2: BOSTON MA 02110
                        beneficiaryBank:
                          name: WELLS FARGO BANK
                          swiftCode: WFBIUS6SXXX
                          routingNumber: '121000248'
                          accountNumber: '****7427'
                          currency: USD
                          address: 4250 EXECUTIVE SQUARE SUITE 300
                          city: LA JOLLA
                          postalCode: '02110'
                          country: US
        '401':
          $ref: '#/components/responses/NotAuthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - bearerAuth: []
components:
  parameters:
    FxCurrencyPath:
      name: currency
      description: Fiat currency name.
      in: path
      required: true
      schema:
        type: string
        enum:
          - BRL
          - MXN
  headers:
    XRequestId:
      description: >-
        Universally unique identifier (UUID v4) for the request. Helpful for
        identifying a request when communicating with Circle support.
      schema:
        type: string
        format: uuid
        example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  schemas:
    MXNSettlementInstructions:
      type: object
      properties:
        currency:
          type: string
          enum:
            - MXN
        fiatAccountType:
          $ref: '#/components/schemas/BusinessAccountPayoutDestinationType'
        instruction:
          $ref: '#/components/schemas/WireInstruction'
    BRLSettlementInstructions:
      type: object
      properties:
        currency:
          type: string
          enum:
            - BRL
        fiatAccountType:
          type: string
          enum:
            - pix
        instruction:
          type: object
          properties:
            ispb:
              type: string
              example: '87654321'
            branchCode:
              type: string
              example: '0001'
            accountNumber:
              type: string
              example: '12345678'
            name:
              type: string
              example: Circle Internet Financial LLC
            accountType:
              $ref: '#/components/schemas/PixAccountType'
            taxId:
              type: string
              example: 12.345.678/0001-90
    BusinessAccountPayoutDestinationType:
      type: string
      description: The destination bank account type.
      enum:
        - wire
        - cubix
    WireInstruction:
      type: object
      properties:
        trackingRef:
          type: string
          description: >-
            Circle tracking reference that needs to be set in the wire reference
            field.
          example: CIR13FB13A
        beneficiary:
          $ref: '#/components/schemas/WireInstructionBeneficiary'
        beneficiaryBank:
          $ref: '#/components/schemas/WireInstructionBeneficiaryBank'
    PixAccountType:
      type: string
      title: Account type
      description: Beneficiary account type.
      enum:
        - checking
        - savings
        - salary
        - prepaid
      example: checking
    WireInstructionBeneficiary:
      type: object
      properties:
        name:
          type: string
          description: Name of the beneficiary.
          example: CIRCLE INTERNET FINANCIAL INC
        address1:
          type: string
          description: Address line 1 of the beneficiary's address.
          example: 99 HIGH STREET
        address2:
          type: string
          description: Address line 2 of the beneficiary's address.
          example: BOSTON MA 02110
    WireInstructionBeneficiaryBank:
      type: object
      properties:
        name:
          type: string
          description: Name of the beneficiary's bank.
          example: WELLS FARGO BANK
        swiftCode:
          type: string
          description: SWIFT code of the beneficiary's bank account.
          example: WFBIUS6SXXX
        routingNumber:
          type: string
          description: ABA Routing number of the beneficiary's bank account.
          example: '121000248'
        accountNumber:
          type: string
          description: Account number of the beneficiary's bank account.
          example: '****7427'
        currency:
          type: string
          description: Currency of the beneficiary's bank account.
          example: USD
        address:
          type: string
          description: Address of the beneficiary's bank.
          example: 4250 EXECUTIVE SQUARE SUITE 300
        city:
          type: string
          description: City of the beneficiary's bank.
          example: LA JOLLA
        postalCode:
          type: string
          description: Postal code of the beneficiary's bank.
          example: '02110'
        country:
          type: string
          description: >-
            Country code of the beneficiary's bank. Formatted as a two-letter
            country code specified in ISO 3166-1 alpha-2.
          example: US
  responses:
    NotAuthorized:
      description: >-
        The request has not been applied because it lacks valid authentication
        credentials.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotAuthorized
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 401
              message: Malformed authorization.
          examples:
            response:
              value:
                code: 401
                message: Malformed authorization.
    NotFound:
      description: The specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
      content:
        application/json:
          schema:
            type: object
            title: NotFound
            required:
              - code
              - message
            properties:
              code:
                type: integer
                example: 400
              message:
                type: string
                example: Something went wrong.
            example:
              code: 404
              message: Not found.
          examples:
            response:
              value:
                code: 404
                message: Not found.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````